1

I'm having a few issues after upgrading to 1.9.2.2

When going through the checkout process when I get to payment method and select Credit Card no form appears. If I click Continue then I get a popup saying Expiration date is wrong.

I also have 2 paypal errors (10001 and 10002), but will post them in a separate question.

Ultimo Theme (latest) Same problem when I switched to default theme.

Payment Methods > Paypal Standard/Express and Authorize.net both enabled Live API credentials in place Sandbox/Testing = off. System > Advanced = all enabled expect Moneybookers and Google Checkout.

System log error

ERR (3): Warning: ksort() expects parameter 1 to be array, boolean given  in .../downloader/lib/Mage/Connect/Rest.php on line 240

The section of the Rest.php is

$out = array();
        foreach ($return as $name=>$package) {
            $stabilities = array_map(array($this, 'shortStateToLong'), array_keys($package));
            $versions = array_map('trim', array_values($package));
            $package = array_combine($versions, $stabilities);
            ksort($package);
            $out[$name] = $package;
        }
        return $out;

Any ideas? This is a live site for a client and I really need to get it live again asap.

closed as off-topic by Fabian Blechschmidt, Keyul Shah, Qaisar Satti, saravanavelu, 7ochem Dec 18 '15 at 5:51

This question appears to be off-topic. The users who voted to close gave this specific reason:

  • "Questions describing a problem that can't be reproduced OR seemingly went away on its own (or went away when a typo was fixed) are off-topic as they are unlikely to help future readers." – Fabian Blechschmidt, Keyul Shah, Qaisar Satti, saravanavelu
If this question can be reworded to fit the rules in the help center, please edit the question.

0

Hi PTeam and welcome to MageOverflow. Unfortunately I don't think we can help you much, because wen either maintain or support Ultimo Theme nor your payment provider (I assume you don't use save CC, because then you would need PCI compliance).

But a few hints:

GoogleCheckout is as far as I know not part of Magento anymore.

ERR (3): Warning: ksort() expects parameter 1 to be array, boolean given  in .../downloader/lib/Mage/Connect/Rest.php on line 240

This error is from downloader, means from magento connect and should have therefore no connection to your problem.

So I would start debugging in frontend and make sure it is no JS/CSS issue. Means the form is there but invisible.

If you know this, start your local xdebug (if not installed already, INSTALL IT) and then check, whether the form is included, just put a breakpoint into the template.

If this is not the case, then you need to check, whether the payment method is active, breakpoint in isActive(?) in Mage_Payment_Model_Payment_Abstract(?)

  • Thanks Fabien. It does the same thing in the default theme, so it's not a theme issue. I'm looking into Xdebug. – PTeam Dec 18 '15 at 2:52

Not the answer you're looking for? Browse other questions tagged or ask your own question.